Get the user's external identity source
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Get the user's external identity source through the user ID and select the specified user ID type.
Method name
ManagementClient.getUserIdentities
Request parameters
| Name | Type | Required | Default value | Description | Sample value | | ---------- | ------ | -------------------------------------- | ------------------------------------ | ---------------------------- ... | 6229ffaxxxxxxxxcade3e3d9 | | userIdType | string | No | user_id | User ID type, the default value is user_id, the optional values are:
- user_id: GenAuth user ID, such as 6319a1504f3xxxxf214dd5b7
- phone: User phone number
- email: User email
- username: User name
- external_id: User ID in the external system, corresponding to the externalId field of GenAuth user information
- identity: User's external identity source information, the format is <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the ID of the user in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the synchronization identity source type, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
| user_id |
Sample code
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.getUserIdentities({
// Replace user ID
userId: "6229ffaxxxxxxxxcade3e3d9",
userIdType: "user_id",
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: IdentityListRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | response data |
Sample result:
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"identityId": "62299d8b866d2dab79a89dc4",
"extIdpId": "6076bacxxxxxxxxd80d993b5",
"provider": "wechat",
"type": "openid",
"userIdInIdp": "oj7Nq05R-RRaqak0_YlMLnnIwsvg",
"accessToken": "57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx",
"refreshToken": "57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx",
"originConnIds": "[\"605492ac41xxxxe0362f0707\"]"
}
}Data Structure
IdentityDto
| Name | Type | Is it required | Description | Sample value | | ------------- | ------ | -------------------------------------- | -------------------------- ... identityId | string | yes | Identity source ID | 62299d8b866d2dab79a89dc4 | | extIdpId | string | yes | Identity source connection ID | 6076bacxxxxxxxxd80d993b5 | | provider | string | yes | External identity source type:
- wechat: WeChat
- qq: QQ
- wechatwork: WeChat for Business
- dingtalk: DingTalk
- weibo: Weibo
- github: GitHub
- alipay: Alipay
- baidu: Baidu
- lark: Feishu
- welink: Welink
- yidun: NetEase Yidun
- qingcloud: Qingyun
- google: Google
- gitlab: GitLab
- gitee: Gitee
- twitter: Twitter
- facebook: Facebook
- slack: Slack
- linkedin: Linkedin
- instagram: Instagram
- oidc: OIDC-based enterprise identity source
- oauth2: OAuth2-based enterprise identity source
- saml: SAML-based enterprise identity source
- ldap: LDAP-based enterprise identity source
- ad: AD-based enterprise identity source
- cas: CAS-based enterprise identity source
- azure-ad: Azure AD-based enterprise identity source
| oidc | | type | string | yes | Identity type, such as unionid, openid, primary | openid | | userIdInIdp | string | yes | ID in external identity source | oj7Nq05R-RRaqak0_YlMLnnIwsvg | | userInfoInIdp | object | yes | User's identity information in idp | | | accessToken | string | no | in external identity source Access Token (this parameter is returned only when the user actively obtains it, and will not be returned by the management interface). | 57_fK0xgSL_NwVlS-gmUwlMQ2N6AONNIOAYxxxx | | refreshToken | string | No | Refresh Token in the external identity source (this parameter is returned only when the user actively obtains it, and will not be returned by the management interface). | 57_IZFu91Ak1Wg6DRytZFFIOd3upNF5lH7vPxxxxx | | originConnIds | array | Yes | List of identity source connection IDs from which the identity comes| A["605492AS41XXXXXXXX0362F0707"]A |